#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - libz installation
#
# Creation   :  2009-09-30 holbru
# Last update:  $Id: postinstall-libz.sh 33759 2013-06-09 18:50:15Z hbfl $
#
# Copyright (c) 2001-2013 the eisfair team, team(at)eisfair(dot)org
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=libz
#----------------------------------------------------------------------------
# generate symlinks
#----------------------------------------------------------------------------
lib_names="libz.so.1.2.8"

cd /usr/lib/

for LNAME in ${lib_names}
do
    lib_name=`echo "${LNAME}" | sed 's#\.so.*$##'`
    lib_major=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f1`
    lib_minor=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f2`
    lib_patch=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f3`

    LinkDES="${LNAME}"
    LinkSRC="${lib_name}.so.${lib_major}"

    rm -f ${LinkSRC}
    ln -sf ${LinkDES} ${LinkSRC}
    echo "b 0755 root root ${package_name} usr/lib/${LinkSRC}"  \
          >>/etc/filelist.d/${package_name}-files.txt
done
# ---------------------------------------------------------------------------
# running ldconfig
# ---------------------------------------------------------------------------
/sbin/ldconfig 

# ---------------------------------------------------------------------------
# update-2.2.1
# ---------------------------------------------------------------------------
update_2_2_1 ()
{

cd /usr/lib
rm -f libz.so.1.2.7

}


# ---------------------------------------------------------------------------
# main
# ---------------------------------------------------------------------------

base_version=$(sed -e 's/[svn|cvs].*$//; s/\./_/g' /etc/version)

update_${base_version}


exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
